#include <bits/stdc++.h>
#define ubrzaj ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);

using namespace std;

int main()
{
    ubrzaj
    long long n,k,x;
    cin >> n >> k >> x;
    vector<long long> p(n);
    for(long long i=0; i<n; i++)cin >> p[i];
    for(long long i=0; i<n-k+1; i++){
        vector<vector<long long>> dp(x+1,vector<long long>(k,0));
        for(long long c=1; c<=x; c++){dp[c][0]=p[i+0];
            for(long long j=1; j<k; j++){
                    dp[c][j]=max(dp[c-1][j-1]+(c-1)*p[i+j],dp[c][j-1]+(c)*p[i+j]);
            }
        }
        
        long long best=dp[x][k-1];
    cout << best << endl;
    }
    return 0;
}